﻿/*  ....Commentary....

REQUIRED ACTIVE FILE: (none)

DESCRIPTION:

This is a very basic script that creates some prompts
and captures simple user input. It is a good script to
test whether you have figured out how to actually run a 
script. Here's what it does:

- Creates the message to display in the first prompt, using
  the "promptString" variable.
  
- Uses the built-in "confirm()" JavaScript function to generate
  a Yes/No prompt with that string. The function will return zero (0)
  if somebody clicks No, otherwise some positive integer, usually 1.
  
- Produces a followup OK prompt with the alert() function. It decides
  on which prompt to produce based on the Yes/No prompt response
  
For simplicity and readability, no further comments are placed in the code.
Furthermore, the construct of the language uses basic syntax which
could be abbreviated in several ways, but these abbreviations
make it harder for the amateur to read. So, we'll present it in long form
for now.

*/


var promptMessage = "Congratulations! You have successfully run a script.";

promptMessage = promptMessage + "\n\nDoes this make you happy?";

var answer = confirm(promptMessage);

if(answer == 0) 
{
    alert("Well, enjoy your misery, but don't expect any company!");
}

else
{
    alert("That's what we like to hear.");
}